org.apache.thrift

## Class TBaseProcessor<I>

- java.lang.Object
- - org.apache.thrift.TBaseProcessor<I>

- All Implemented Interfaces:
    TProcessor

      public abstract class TBaseProcessor<I>
      extends java.lang.Object
      implements TProcessor

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TBaseProcessor(I iface, java.util.Map<java.lang.String,ProcessFunction<I,? extends TBase>> processFunctionMap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `process(TProtocol in, TProtocol out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TBaseProcessor

          protected TBaseProcessor(I iface,
                        java.util.Map<java.lang.String,ProcessFunction<I,? extends TBase>> processFunctionMap)

  - ### Method Detail

    - #### process

          public boolean process(TProtocol in,
                        TProtocol out)
                          throws TException

      Specified by:
        `process` in interface `TProcessor`
      Throws:
        `TException`